'use client'
import React from 'react'
import { Button, Card, CardHeader } from "@heroui/react";
import { Image } from "@heroui/image";
import { FaRegCheckCircle } from "react-icons/fa";
import { CgMoreO } from "react-icons/cg";
import { IoMailOutline } from "react-icons/io5";
import Footer from '@/components/Footer';
import Link from 'next/link';

const page = () => {
    return (
        <>
            <main className='mx-3 xl:mx-20 mt-3 xl:mt-10 mb-10 lg:mb-28'>
                {/* HERO SECTION */}
                <div
                    className="flex flex-col justify-center items-start h-[12rem] p-5 md:p-10 rounded-3xl bg-cover bg-center bg-fixed"
                    style={{
                        backgroundImage: "url('/old-hero.jpg')",
                    }}
                >
                    <p className='text-white text-sm md:text-medium font-medium'><Link className='hover:underline' href={'/'}>HOME</Link> / <Link href={'/service'} className="hover:underline">SERVICE</Link> / <Link href={'/service/stone-concrete'} className="hover:underline text-yellow-500">STONE-CONCRETE</Link></p>
                    <p className="text-white font-semibold text-4xl lg:text-5xl mt-3">Stone & Concrete Works</p>
                </div>
                {/* HERO SECTION */}
                {/* CARDS */}
                <div className="mt-10 grid grid-cols-1 md:grid-cols-2 gap-3">
                    <Card className="">
                        <CardHeader className="absolute bottom-0 z-10 flex-col !items-center backdrop-blur-xl">
                            <p className="text-white font-medium text-xl">Stone Works</p>
                        </CardHeader>
                        <Image
                            isZoomed
                            removeWrapper
                            alt="Card background"
                            className="z-0 w-full h-full object-cover"
                            src="/service/sc-1.jpg"
                        />
                    </Card>
                    <Card className="">
                        <CardHeader className="absolute bottom-0 z-10 flex-col !items-center backdrop-blur-xl">
                            <p className="text-white font-medium text-xl">Concrete Pours</p>
                        </CardHeader>
                        <Image
                            isZoomed
                            removeWrapper
                            alt="Card background"
                            className="z-0 w-full h-full object-cover"
                            src="/service/sc-2.jpeg"
                        />
                    </Card>
                    


                    

                </div>
                {/* CARDS */}
                

                {/* LETS START SECTION */}
                <div className="mt-6 lg:mt-28 flex flex-col md:flex-row rounded-3xl bg-green-100/30">

                    <div className='w-full md:w-1/2 p-3 md:p-10'>
                        <p className='text-4xl lg:text-5xl font-semibold mt-3 text-slate-800'>Let's build something great <span className="text-yellow-500">together</span></p>
                        <p className='text-lg lg:text-xl mt-8 text-gray-600 leading-8'>Don’t wait any longer to bring your construction dreams to life. Partner with C&CGC and experience unparalleled service and quality.</p>
                        <Button as={Link} href='/contact' className='mt-5 lg:mt-10' variant='shadow' size='md' color='warning'>Contact Us <IoMailOutline /></Button>
                    </div>
                    <div className='w-full md:w-1/2 flex items-end'>
                        <Image
                            isBlurred
                            src='/cta.png'
                            alt='cta'
                            className='w-3/4 mx-auto'
                        />
                    </div>
                </div>
                {/* LETS START SECTION */}
            </main>
            <Footer />
        </>
    )
}

export default page